#!/usr/bin/env python
# -*- coding: utf-8 -*-

from distutils.core import setup
import glob

setup(name='pyDialer',
      version='0.6.1',
      description='PyGTK-based WvDial Frontend',
      long_description='A simple and handy frontend for WvDial written in Python, fork of pyWvDial',
      author='Aliaksandr Stelmachonak',
      author_email='mail.avatar@gmail.com',
      url='http://code.google.com/p/pydialer',
      packages=['pyDialer', 'pyDialer.wvdial', 'pyDialer.guigtk'],
      scripts=['pydialer'],
      data_files=[
            ("share/pydialer", glob.glob("data/*.png")),
            ("share/applications", ["data/pydialer.desktop"])],            
      classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: X11 Applications :: GTK',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Natural Language :: English',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Topic :: System :: Networking'],
      requires=['sys','os','os.path','threading',
        'Queue','select','subprocess','ConfigParser',
        'getopt','time','pygtk','gobject','gtk','pynotify'],
      provides=['pyDialer','pyDialer.wvdial','pyDialer.guigtk'],
     )
